/*
* ==============================================================================
*  Name        : Coverflowappview.h
*  Part of     : Coverflow
*  Interface   :
*  Description :
*  Version     :
*
*  Copyright (c) 2005-2006 Nokia Corporation and/or its subsidiary(-ies).
*  All rights reserved.
*  This component and the accompanying materials are made available
*  under the terms of "Eclipse Public License v1.0"
*  which accompanies this distribution, and is available
*  at the URL "http://www.eclipse.org/legal/epl-v10.html".
* ==============================================================================
*/

#ifndef __COVERFLOWAPPVIEW_H__
#define __COVERFLOWAPPVIEW_H__

// INCLUDES
#include <coecntrl.h>
#include <Coverflowappui.h>

// CLASS DECLARATION
class CCoverflowAppView : public CCoeControl
    {
    public:
        CCoverflowAppView(CCoverflowAppUi& aAppUi);
        ~CCoverflowAppView();
        void ConstructL(const TRect& aRect);

    private:
        /**
        Pointer to the application UI class of the example.
        */
        CCoverflowAppUi& iAppUi;
        friend class CCoverflowAppUi;
    };

#endif // __COVERFLOWAPPVIEW_H__

// End of File

